Arch Muro

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Wall and the translation is 47% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська • ‎中文(中国大陆)‎ • ‎中文(台灣)‎

Arch Wall.svg Arch Muro

Ubicación en el Menú
Arquitectura → Muro
Entornos de trabajo
Entorno de Arquitectura
Atajo de teclado por defecto
W A
Introducido en versión
-
Ver también
Arch Estructura


Descripción

Esta herramienta construye desde cero un objeto Muro encima de cualquier objeto basado en formas. Cuando se construye sobre una forma existente, un muro se puede basar en:

  • Un objeto lineal 2D, como líneas, contornos, arcos o croquis, en cuyo caso puedes cambiar el espesor, alineación (derecha, izquierda o centrado) y altura.La propiedad longitud no tiene efecto.
  • Una cara plana, en cuyo caso sólo puedes cambiar la altura.Propiedades longitud y espesor no tienen efecto.
  • Un sólido, en cuyo caso no puedes cambiar nada.
  • Una Malla, en cuyo caso el delineado de malla debe estar cerrada , non-manifold solid.

Arch Wall example.jpg

El ejemplo de arriba muestra muros siendo construidos sobre una línea, un contorno, una cara, un sólido y un croquis

Los muros también pueden tener adicciones y sustracciones. Las adicciones son otros objetos cuyas formas se unen en esta forma de los muros, mientras que las sustracciones son eliminadas. Las adicciones y sustracciones se pueden crear con las herramientas Arch Add.png Adicción y Arch Remove.png Sustracción. Las adicciones y sustracciones no tienen influencia sobre los parámetros del muro como el alto o ancho, que aún pueden ser modificados.

Los muros pueden tener su altura automáticamente, si están incluidos en objetos de nivel superior como Pisos. La altura debe mantenerse a cero, así el muro adoptará la altura especificada en el objeto padre.

Cuando varios muros deberían intersecar, tienes que ubicarlos en un piso para tener su geometría intersecada.

Utilización

Dibujar un muro desde cero

  1. Presiona el botón Arch Wall.png muro, o presiona las teclas W y A
  2. Designa un primer punto en la vista 3D, o escribe unas coordenadas
  3. Designa un segundo punto en la vista 3D, o escribe unas coordenadas

Dibujar un muro sobre los objetos seleccionados

  1. Selecciona uno o más objetos de geometría base (objectos bocetados, croquis, etc)
  2. Presiona el botón Arch Wall.png Arch Wall, o presiona la tecla W y luego A
  3. Ajusta las propiedades necesarias como la altura o el ancho.

Opciones

  • Los muros comparten las propiedades y comportamientos comunes de todos los Arch Components
  • La altura, ancho y alineación de un muro se pueden definir mientras se dibuja, por medio del panel de tareas
  • Cuando se ajusta un muro a otro ya existente, ambos se unen en uno. El modo en que dos muros se unen depende de sus propiedades: Si tienen el mismo ancho, altura y alineación, el muro resultante será un objeto basado en un croquis compuesto por varios segmentos. En otro caso, el segundo muro se añadirá al primero como una adicción.
  • Presiona X, Y o Z después del primer punto para restringir el segundo punto a un eje dado.
  • Para introducir coordenadas manualmente, simplemente introduce los números y presiona ENTER entre cada componente X, Y y Z.
  • Presiona R o activa la casilla de selección para activar / desactivar el botón Relativas. Si el modo Relativas está activado, las coordenadas del segundo punto serán relativas al primero. Si no es así, serán absolutas, indicadas a partir del origen de coordenadas (0,0,0).
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la posición de ajuste más cercana, independientemente de su distancia.
  • Presiona SHIFT mientras dibujas para restringir tu segundo punto horizontal o verticalmente en relación al primero.
  • Presiona ESC o el botón Cancel para cancelar el comando actual.
  • Haciendo doble clic en el muro en la vista en árbol después de que sea creado te permitirá entrar en modo de edición y acceder y modificar sus adicciones y substracciones
  • Los muros de múltiples capas se pueden crear fácilmente construyendo varias paredes desde la misma línea de base. Al establecer su propiedad Alinear a la izquierda o a la derecha, y al especificar un valor de Desplazamiento, puede construir efectivamente varias capas de muro. Al colocar una ventana en dicha capa de pared se propagará la apertura a las otras capas de la pared en función de la misma línea base.
  • Los Muros también puede hacer uso de Multi-Materials. Cuando se utiliza un material múltiple, la pared se convertirá en multicapa, utilizando los espesores especificados por el material múltiple. Cualquier capa con un espesor de cero tendrá su espesor definido automáticamente por el espacio restante definido por el valor de Ancho del muro, después de restar las otras capas.
  • Los muros se pueden mostrar bloques, en lugar de un solo sólido, al activar su propiedad Make Blocks. El tamaño y el desplazamiento de los bloques se pueden configurar con diferentes propiedades, y la cantidad de bloques se calcula automáticamente. Disponible en la versión 0.18


Ajuste

El ajuste funciona de manera un poco diferente con los muros que otros objetos de Arch y Draft. Si un muro tiene un objeto de referencia, el ajuste se anclará al objeto base, en lugar de la geometría del muro, lo que permite alinear fácilmente los muros por su línea base. Sin embargo, si específicamente desea ajustarse a la geometría del muro, al presionar CTRL cambiará el ajuste al objeto muro.

Arch wall snap.jpg

Arch wall snap.jpg

Propiedades

Los objetos de muro heredan las propiedades de los objetos Part y también tienen las siguientes propiedades adicionales:

  • DATOSAlign: La alineación del muro en su línea base: izquierda, derecha o centro
  • DATOSBase: El objeto base sobre el que está construido este muro
  • DATOSFace: El índice de la cara desde el objeto base a usar. Si el valor no está establecido o es 0, se usa el objeto completo
  • DATOSForce Wire: Si es verdadero, y el muro se basa en una cara, solo se usa el borde de la cara, lo que da como resultado una pared que bordea la cara
  • DATOSLength: La longitud del muro (no se usa cuando el muro está basada en un objeto)
  • DATOSWidth: El ancho del muro (no se usa cuando el muro se basa en una cara)
  • DATOSHeight: La altura del muro (no se usa cuando el muro está basado en un sólido). Si no se da altura, y el muro está dentro de un objeto floor con su altura definida, la pared tomará automáticamente el valor de la altura del piso/floor.
  • DATOSNormal: Una dirección de extrusión para el muro. Si se establece en (0,0,0), la dirección de extrusión es automática.
  • DATOSOffset: Esto especifica la distancia entre el muro y su línea base. Funciona solo si la propiedad Align está configurada a Derecha o Izquierda.

Disponible en la versión 0.18

  • DATOSMake Blocks: Habilita esto para hacer que el muro genere bloques
  • DATOSBlock Length: La longitud de cada bloque
  • DATOSBlock Height: La altura de cada bloque
  • DATOSOffset First: El desplazamiento horizontal de la primera línea de bloques
  • DATOSOffset Second: El desplazamiento horizontal de la segunda línea de bloques
  • DATOSJoint: El tamaño de las juntas entre cada bloque
  • DATOSCount Entire: La cantidad de bloques enteros (solo lectura)
  • DATOSCount Broken: La cantidad de bloques rotos (solo lectura)

Programación

La herramienta Muro se puede utilizar en macros y desde la consola de Python utilizando las siguientes funciones:

Wall = makeWall(baseobj=None, length=None, width=None, height=None, align="Center", face=None, name="Wall")
  • crea un muro basado en un objeto dado, el cual puede ser un croquis, un objeto de boceto, una cara o un sólido. align puede ser "Center","Left" o "Right". If you provide no base object, then you can use numeric values for length, width and height. Face can be used to give the index of a face from the underlying object, to build this wall on, instead of using the whole object.
  • Returns the created wall, or None if the operation failed.

Ejemplo:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
Draft.move(Wall2, FreeCAD.Vector(0, -1000, 0))
FreeCAD.ActiveDocument.recompute()